System.Design 2.0.0.0 System.Drawing.Design.ImageEditor To be added.

Provides an editor that can perform default file searching for bitmap (.bmp) files.

- Constructor
  2.0.0.0
  To be added.

  Initializes a new instance of the class.

- Method
  2.0.0.0
  System.Object `` `` ``

  This editor uses a service provider to obtain any necessary editing services.

  Edits the specified object value using the edit style provided by the method.

  An representing the new value. If the value of the object has not changed, the method returns the object that was passed to it.

  An that can be used to gain additional context information. An through which editing services can be obtained. An being edited.
- Method
  2.0.0.0
  System.String

  The file dialog box description appears in the file-list filter drop-down list box.

  Gets the description for the default file-list filter provided by this editor.

  The description for the default file-list filter.

- Method
  2.0.0.0
  System.Type[] To be added.

  Gets an array of supported image types.

  An array of representing supported image types.

- Method
  2.0.0.0
  System.Boolean `` To be added.

  Gets a value indicating whether this editor supports painting a representation of an object's value.

  true if is implemented; otherwise, false.

  An that can be used to gain additional context information.
- Method
  2.0.0.0
  System.Void ``

  To display the representation of the value in the typical property sheet format, paint within the boundaries of the contained within the specified .

  Paints a value indicated by the specified .

  A indicating what to paint and where to paint it.